<?php
/**
 * The template file for archive page.
 *
 * @package WordPress
 * @subpackage Antiaris
 * @since Antiaris 1.0
 */

get_header(); ?>
	
    <h1 class="posts-list-title">
        <?php 
		if (is_category())
			$archive_title = single_cat_title('', false);
		elseif (is_date())
			$archive_title = single_month_title(' ', false);
		elseif (is_tag())
			$archive_title = single_tag_title(' ', false);
		elseif (is_tax())
			$archive_title = get_term_by('slug', get_query_var('term'), get_query_var('taxonomy'));
		
		/* translators: %s will be replaced with the archive title */
		printf(__("Archive for: %s", 'antiaris'), $archive_title); ?>
    </h1>
	<?php
    /* Run the loop to output the posts.
     * If you want to overload this in a child theme then include a file
     * called loop-index.php and that will be used instead.
     */
     get_template_part('loop', 'archive');
    ?>
            
<?php get_sidebar(); ?>
<?php get_footer(); ?>