<?php
/**
 * The template for displaying the footer.
 *
 * Closes the <div> for #content and #container, <body> and <html> tags.
 *
 * @package WordPress
 * @subpackage antiaris
 * @since antiaris 1.0
 */
 global $antiaris_settings, $antiaris_defaults;
?>		
			<?php /* Get the footer widget area */ 
    			get_template_part('sidebar','footer'); 
			?>
            
        </div><!--#main-content-->
        
        <?php /* The copyright notice and developer credit */ ?>
        <div id="footer" class="clearfix">
        	<div id="copyright">
            	<?php if (!$antiaris_settings['disable_copyright']) :
					
					$copyright_text = (array_key_exists('copyright_text', $antiaris_settings) && $antiaris_settings['copyright_text'] != '') ? $antiaris_settings['copyright_text'] : $antiaris_defaults['copyright_text']; 
					echo stripslashes($copyright_text);
					
					endif;
					do_action('antiaris_copyright');
				?>
                
                <?php 
				/**
				 * This is where the credit for the theme is placed. Please keep the link back
				 * to the author's website. Seriously, developing this awesome theme took a lot
				 * of effort and time, weeks and weeks of voluntary unpaid work. I only ask 
				 * that you retain this link here, and you can use and/or modify the theme
				 * however you like to.
				 *
				 * If you still would like to remove the credit, please consider a donation
				 * through Antiaris Options page under Appearance in Wordpress admin
				 * to help support the author and future theme development/support.
				*/
				?>
				<p id="developer">
					<?php /* translators: %1$s is the theme's name, %2$s is the theme's author */ ?>
					<?php printf(__('Powered by <a href="http://wordpress.org">WordPress</a> and the %1$s theme by %2$s.', 'antiaris'), '<a href="http://www.khairul-syahir.com/wordpress-dev/antiaris-theme">'.ucfirst(get_template()).'</a>', 'Syahir Hakim'); ?>
				</p>
				
				<?php do_action('antiaris_developer'); ?>
            </div>
            
            
            <?php /* Footer menu */ ?>
            <div id="footer-menu-wrap">
				<?php 
					$args = array(
								'container' => 'none',
								'menu_id' => 'footer-menu',
								'menu_class' => '',
								'fallback_cb' => false,
								'depth' => 1, 
								'theme_location' => 'footer-menu',
								'after' => ' | ',
								  );
					wp_nav_menu(apply_filters('antiaris_footer_menu_args', $args)); 
				?>
                <p class="top-link"><a href="#"><?php _e('Return to top', 'antiaris'); ?> ^</a></p>
            </div>
        </div>
    </div> <!-- #container END tag -->
    
    <?php wp_footer(); ?>
    
</body>
</html>