<?php
/**
 * The Sidebar for display in the left side of the page.
 *
 * @package WordPress
 * @subpackage Antiaris
 * @since antiaris 1.0
 */
 global $antiaris_settings;
 if ((is_active_sidebar('left-widget-area') || (is_front_page() && $antiaris_settings['enable_alternate_left_sidebar'] && is_active_sidebar('left-frontpage-widget-area'))) && !$antiaris_settings['disable_left_sidebar']) :
 ?>
    <div id="sidebar-left" class="sidebar">
    	<?php 
			if (is_front_page() && $antiaris_settings['enable_alternate_left_sidebar']) {
				dynamic_sidebar('left-frontpage-widget-area');
			} else {
				dynamic_sidebar('left-widget-area');
			}
		?>
    
    	<?php do_action('antiaris_sidebar_left'); ?>
    </div>
<?php endif; ?>